# Raido Button 2020/mar/17
.radio_inline_input {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute !important;
}

.radio_inline_label_menu {            /* menu用 */
    display: inline-block;
    padding: 0.5rem 1rem;
    margin-right: 18px;
    border-radius: 3px;
    transition: all .2s;
}

.radio_inline_input:checked + .radio_inline_label_menu {
    background: #B54A4A;
    color: #fff;
    text-shadow: 0 0 1px rgba(0,0,0,.7);
}

.radio_inline_input:focus + .radio_inline_label_menu {
    outline-color: #4D90FE;
    outline-offset: -2px;
    outline-style: auto;
    outline-width: 5px;
}

.radio_inline_label_station {         /* station_no用 */
    display: inline-block;
    padding: 0.5rem 1rem;
    margin-right: 18px;
    border-radius: 3px;
    transition: all .2s;
}

.radio_inline_input:checked + .radio_inline_label_station {
    background: #4AB54A;
    color: #fff;
    text-shadow: 0 0 1px rgba(0,0,0,.7);
}

.radio_inline_input:focus + .radio_inline_label_station {
    outline-color: #4D90FE;
    outline-offset: -2px;
    outline-style: auto;
    outline-width: 5px;
}


.button {
    display: inline-block;
    border-radius: 5%;                /* 角丸 */
    font-size: 18pt;                  /* 文字サイズ */
    text-align: center;               /* 文字位置 */
    cursor: pointer;                  /* カーソル */
    padding: 12px 12px;               /* 余白 */
    background: #000066;              /* 背景色 */
    color: #ffffff;                   /* 文字色 */
    line-height: 1em;                 /* 1行の高さ */
    transition: .3s;                  /* なめらか変化 */
    box-shadow: 6px 6px 3px #666666;  /* 影の設定 */
    border: 2px solid #000066;        /* 枠の指定 */
}

.button:hover {
    box-shadow: none;                 /* カーソル時の影消去 */
    color: #000066;                   /* 背景色 */
    background: #ffffff;              /* 文字色 */
}